Raritan PX2/PX3 JSON-RPC API: pdumodel::Bcm Interface Reference

Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | List of all members
pdumodel::Bcm Interface Reference

Branch Circuit Monitor. More...

`import"Bcm.idl";`

## Classes
struct | ChannelConfig
| Channel Configuration. More...
struct | PhaseConfig
| Phase Configuration. More...

## Public Types
enum | LineConfig { UNCONNECTED, L1_N, L2_N, L3_N }
| Power Line Configuration. More...
enum | TransformerType { VOLTAGE, TURNSRATIO }
| Current Transformer Type. More...

## Public Member Functions
int | getChannelCount ()
| Retrieve the BMC's channel count. More...
vector< ChannelConfig > | getChannelConfigs ()
| Retrieve the configuration for all channels. More...
int | setChannelConfig (in int channel, in ChannelConfig config)
| Set the configuration for one channel. More...

## Detailed Description

Branch Circuit Monitor.

## Member Enumeration Documentation

## ◆ LineConfig

enum pdumodel::Bcm::LineConfig

Power Line Configuration.

Enumerator
UNCONNECTED | Not connected.
L1_N | L1-Neutral.
L2_N | L2-Neutral.
L3_N | L3-Neutral.

## ◆ TransformerType

enum pdumodel::Bcm::TransformerType

Current Transformer Type.

Enumerator
VOLTAGE | Voltage-type transformer.
TURNSRATIO | Turns ratio transformer.

## Member Function Documentation

## ◆ getChannelConfigs()

vector<ChannelConfig> pdumodel::Bcm::getChannelConfigs | ( |  | ) |

Retrieve the configuration for all channels.

Returns
  List of channel configurations

## ◆ getChannelCount()

int pdumodel::Bcm::getChannelCount | ( |  | ) |

Retrieve the BMC's channel count.

Returns
  Number of BCM channels

## ◆ setChannelConfig()

int pdumodel::Bcm::setChannelConfig | ( | in int | channel,
|  | in ChannelConfig | config
| ) |  |

Set the configuration for one channel.

Parameters

  channel | Channel number
  config | New channel configuration

Returns
  0 if OK
  1 for invalid phase configuration
  2 for invalid arguments

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Bcm.idl